Skip to main content

/cosmos/bank/v1beta1/denoms_metadata

GET

DenomsMetadata queries the client metadata for all registered coindenominations.
Query Parameters
pagination.keystring
key is a value returned in PageResponse.next_key to beginquerying the next page most efficiently. Only one of offset or keyshould be set.
pagination.offsetstring
offset is a numeric offset that can be used when key is unavailable.It is less efficient than using key. Only one of offset or key shouldbe set.
pagination.limitstring
limit is the total number of results to be returned in the result page.If left empty it will default to a value to be set by each app.
pagination.count_totalboolean
count_total is set to true to indicate that the result set should includea count of the total number of items available for pagination in UIs.count_total is only respected when offset is used. It is ignored when keyis set.
pagination.reverseboolean
Set to true to return results in descending order.
Responses
metadata provides the client information for all the registered tokens.
descriptionstring
denomstring
denom represents the string name of the given denom unit (e.g uatom).
exponentinteger
exponent represents power of 10 exponent that one mustraise the base_denom to in order to equal the given DenomUnit's denom1 denom = 10^exponent base_denom(e.g. with a base_denom of uatom, one can create a DenomUnit of 'atom' withexponent = 6, thus: 1 atom = 10^6 uatom).
aliasesarray
basestring
base represents the base denom (should be the DenomUnit with exponent = 0).
displaystring
display indicates the suggested denom that should bedisplayed in clients.
namestring
symbolstring
Token symbol primarily displayed on exchanges (e.g., ATOM). May be the same as display.
uristring
URI of a document (on-chain or off-chain) containing additional information. Optional.
uri_hashstring
SHA256 hash of the document the URI points to. Used to verify document integrity. Optional.
pagination defines an pagination for the response.
next_keystring
next_key is the key to be passed to PageRequest.key toquery the next page most efficiently. It will be empty ifthere are no more results.
totalstring
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "An unexpected error response."
}
cURL
curl -X GET 'https://rest-initia-mainnet.nodit.io/cosmos/bank/v1beta1/denoms_metadata' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'